## Get the payment status

### cURL

```bash
curl --request GET \
  --url https://api.pay.walletconnect.com/v1/payments/{id}/status \
  --header 'Api-Key: <api-key>' \
  --header 'Merchant-Id: <merchant-id>'
```

```python
import requests

url = "https://api.pay.walletconnect.com/v1/payments/{id}/status"

headers = {
    "Api-Key": "<api-key>",
    "Merchant-Id": "<merchant-id>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'GET',
  headers: {'Api-Key': '<api-key>', 'Merchant-Id': '<merchant-id>'}
};

fetch('https://api.pay.walletconnect.com/v1/payments/{id}/status', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- **200**: Payment status retrieved successfully
- **400**: Invalid request
- **401**: Unauthorized
- **404**: Not found
- **500**: Internal server error

### Response Example

```json
{
  "info": {
    "optionAmount": {
      "display": {
        "assetName": "USD Coin",
        "assetSymbol": "USDC",
        "decimals": 6,
        "iconUrl": "https://assets.walletconnect.com/usdc.png",
        "networkIconUrl": "https://assets.walletconnect.com/base.png",
        "networkName": "Base"
      },
      "unit": "caip19/eip155:8453/erc20:0x0000000000000000000000000000000000000000",
      "value": "1000000"
    },
    "txId": "0xabc123..."
  },
  "isFinal": true,
  "pollInMs": null,
  "status": "succeeded"
}
```

### Authorization
- **Api-Key**: string, required in the header
- **Merchant-Id**: string, required in the header

### Path Parameters

- **id**: string, required, Payment ID (e.g., "pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV")

### Query Parameters

- **maxPollMs**: integer, optional, Maximum time to long-poll for payment status, in milliseconds, required range: `x >= 0`

### Final Notes
- The `status` can be as follows: `requires_action`, `processing`, `succeeded`, `failed`, `expired`, `cancelled`.
